Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.remote.ejb
Class EJBApplicationModuleImpl

`java.lang.Object
oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
oracle.jbo.server.remote.ejb.ServerApplicationModuleImpl
oracle.jbo.server.remote.ejb.EJBApplicationModuleImpl`

All Implemented Interfaces:
  ApplicationModuleRemoteAdapter, javax.ejb.EnterpriseBean, java.util.EventListener, JboExceptionHandler, java.io.Serializable, javax.ejb.SessionBean, TransactionStateListener, ViewClearCacheListener, WSApplicationModuleMarshaller

Direct Known Subclasses:
  CMEJBApplicationModuleImpl

public class EJBApplicationModuleImpl
extends ServerApplicationModuleImpl
implements javax.ejb.SessionBean

Version:
  INTERNAL
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
`PROCESS_STATUS_ERROR_FOUND, PROCESS_STATUS_OK`

Fields inherited from interface oracle.jbo.common.ws.WSApplicationModuleMarshaller
`ACTIVATION_AFTER_LOSS_OF_AFFINITY, ACTIVATION_AFTER_RESTART, ACTIVATION_NONE, SYNC_INT_BATCH, SYNC_INT_BATCH_DO_WORK`

Constructor Summary
`EJBApplicationModuleImpl()`

Method Summary
`protected PiggybackReturn` | `createPiggybackReturn(java.lang.Object retVal, boolean isValid)`
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbCreate(RemoteApplicationModule container, java.lang.String amName)`
`void` | `ejbCreate(RemoteApplicationModule container, java.lang.String amName, java.lang.String amDefName)`
`void` | `ejbCreate(SessionInfo info)`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`protected javax.ejb.SessionContext` | `getSessionContext()`
`protected int` | `getTransactionTimeout()`
`protected int` | `processSvcMsgRequest(SvcMsgRequest svcMsgReq, int processStatus)`
`protected boolean` | `releaseConnectionOnCompletion()`
`protected void` | `resumeTransaction()`
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`protected void` | `suspendTransaction()`
`protected boolean` | `useGlobalTransaction()`

Methods inherited from class oracle.jbo.server.remote.ejb.ServerApplicationModuleImpl
`createInstance, createObjectMarshaller, createSession, doMessage, doMessagePooled, processException`

Methods inherited from class oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
`addException, addMethodReturnValueToMessage, addResponse, afterActivation, bindToWorkingSet, cacheCleared, clearServiceMessage, createApplicationModule, createLocalApplicationModule, createPiggybackManager, createRootApplicationModule, createWorkerApplicationModule, detach, disconnectWithRetainState, dispatchMethod, doneCommit, doneRollback, findApplicationModule, findObject, finishedProcessingPiggyback, finishServiceMessage, finishSyncWorkingSet, getAdaptee, getApplicationModuleDefName, getApplicationModuleInfo, getAppModuleNamesFromResponse, getAppModuleRequestHandler, getClientProxyInterfaceName, getCurrentWorkingSet, getMarshaller, getObjectMarshaller, getOutboundServiceMessage, getPiggyback, getRemoteObjectId, getRequestName, getResponseName, getSvcMsgManager, handleException, handleWarning, hasPendingDataPosts, invokeMethod, marshal, marshalForActivate, pooledSync, processMessage, processPiggyback, processServiceMessage, processSvcMsgRequest, reconnectWithoutForce, releaseAdaptee, remove, sendWorkingSetRequests, setAdaptee, setApplicationModuleDefName, setBoundToWorkingSet, setDataModelRefresh, setMarshaller, setSvcMsgManager, sync, syncMarshaller, syncWorkingSet, txnCreated, txnRemoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBApplicationModuleImpl

    public EJBApplicationModuleImpl()

Method Detail

### getSessionContext

    protected javax.ejb.SessionContext getSessionContext()

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`

### ejbCreate

    public void ejbCreate()
                   throws RemoteJboException,
                          javax.ejb.CreateException

  Throws:
    `RemoteJboException`
    `javax.ejb.CreateException`

### ejbCreate

    public void ejbCreate(RemoteApplicationModule container,
                          java.lang.String amName)
                   throws RemoteJboException,
                          javax.ejb.CreateException

  Throws:
    `RemoteJboException`
    `javax.ejb.CreateException`

### ejbCreate

    public void ejbCreate(RemoteApplicationModule container,
                          java.lang.String amName,
                          java.lang.String amDefName)
                   throws RemoteJboException,
                          javax.ejb.CreateException

  Throws:
    `RemoteJboException`
    `javax.ejb.CreateException`

### ejbCreate

    public void ejbCreate(SessionInfo info)
                   throws RemoteJboException,
                          javax.ejb.CreateException

  Throws:
    `RemoteJboException`
    `javax.ejb.CreateException`

### processSvcMsgRequest

    protected int processSvcMsgRequest(SvcMsgRequest svcMsgReq,
                                       int processStatus)

### getTransactionTimeout

    protected int getTransactionTimeout()

### useGlobalTransaction

    protected boolean useGlobalTransaction()

### createPiggybackReturn

    protected PiggybackReturn createPiggybackReturn(java.lang.Object retVal,
                                                    boolean isValid)
                                             throws MarshallingException

  Throws:
    `MarshallingException`

### resumeTransaction

    protected final void resumeTransaction()

### suspendTransaction

    protected final void suspendTransaction()

### releaseConnectionOnCompletion

    protected boolean releaseConnectionOnCompletion()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.